%define name	oldj2ssh
%define version	0.1.7
%define release	4jpp
%define section	free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	An object-oriented Java implementation of the SSH version 2 protocol
License:	LGPL
Url:		http://www.sshtools.com/
Source0:	http://osdn.dl.sourceforge.net/sshtools/SSHTools-j2ssh-0.1.7-src.tar.gz
Group:		Development/Java
Buildarch:	noarch
Requires:	jpackage-utils >= 0:1.5
Requires:	log4j
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	log4j
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
Distribution:	JPackage

%description
J2SSH is an object-oriented Java implementation of the SSH2 protocol.
The original goal of J2SSH was to provide a rich, powerful and
extensible SSH API that would enable developers not just to gain access
to SSH servers but rather to promote the development of entire SSH
client/server frameworks.

%package demo
Summary:	Demo for %{name}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Group:		Development/Java

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -n SSHTools-j2ssh-%{version}
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.class" -exec rm -f {} \;

%build
export CLASSPATH=%(build-classpath log4j)
ant release

export CLASSPATH=%(build-classpath log4j):\
$PWD/dist/lib/SSHTools-j2ssh-%{version}.jar:\
$PWD/dist/lib/SSHTools-apps-%{version}.jar
(cd examples && %javac *.java)

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/lib/SSHTools-j2ssh-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/lib/SSHTools-apps-%{version}.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}-apps-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr conf/ $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr examples/ $RPM_BUILD_ROOT%{_datadir}/%{name}

# script
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}

%jpackage_script com.sshtools.j2ssh.transport.publickey.SshKeyGenerator "-Dsshtools.home=%{_datadir}/%{name}" %{nil} log4j:%{name} %{name}-keygen

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc build.txt
# FIXME: Do we want a menu for this?
%attr(0755,root,root) %{_bindir}/*
%{_javadir}/*
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/conf
%{_datadir}/%{name}/conf/*.xml

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}/examples

%changelog
* Thu Sep 11 2003 David Walluck <david@anti-microsoft.org> 0:0.1.7-4jpp
- Requires: jpackage-utils (not jpackage)

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.1.7-3jpp
- Requires: jpackage-utils >= 0:1.5
- BuildRequires: ant, jpackage-utils >= 0:1.5

* Tue Sep 09 2003 David Walluck <david@anti-microsoft.org> 0:0.1.7-2jpp
- oldj2ssh

* Sun May 11 2003 David Walluck <david@anti-microsoft.org> 0:0.1.7-1jpp
- 0.1.7
- no more userguide since the build files are not provided

* Sat Apr 26 2003 David Walluck <david@anti-microsoft.org> 0:0.1.2-0.beta.2jpp
- fix date in %%changelog

* Fri Apr 25 2003 David Walluck <david@anti-microsoft.org> 0:0.1.2-0.beta.1jpp
- release
